% Intervalo de tempo
t0 = 1;             % Tempo zero
ti = t0-3;          % Tempo inicial
tf = t0+3;          % Tempo final
h = 0.1;           % Passo de tempo;

% Condicoes iniciais
x0 = 1;          % Valor inicial

% Definindo a equacao diferencial
F = @(t,z) Exemplo(t,z);            % funcao F
F1 = @(t,z) Exemplo_F1(t,z);        % primeira derivada
F2 = @(t,z) Exemplo_F2(t,z);        % segunda derivada


% Resolvendo pelo metodo de Euler
z = Euler_twosided(ti,t0,tf,h,x0,F);

% Representacao grafica dos resultados
figure;
plot(z)
hold on

% Resolvendo pelo método de Taylor de ordem 2
z = Taylor2_twosided(ti,t0,tf,h,x0,F,F1,F2);

% Representacao grafica dos resultados
plot(z)
hold on

% Resolvendo pelo método de Taylor de ordem 3
z = Taylor3_twosided(ti,t0,tf,h,x0,F,F1,F2);

% Representacao grafica dos resultados
plot(z)
hold on

% Resolvendo pelo metodo de Heun
z = Heun_twosided(ti,t0,tf,h,x0,F);

% Representacao grafica dos resultados
plot(z)
hold on

% Resolvendo pelo metodo de Kutta de ordem 3
z = RK3_twosided(ti,t0,tf,h,x0,F);

% Representacao grafica dos resultados
plot(z)
hold on

% Resolvendo pelo metodo de Runge-Kutta de ordem 4
z = RK4_twosided(ti,t0,tf,h,x0,F);

% Representacao grafica dos resultados
plot(z)
hold on


